#!/usr/bin/env python

"""
LeMMA - the Lazy man's Editor for MMA
Note that this is NOT really an MMA editor, but rather a simple front-end to MMA

Please read help.txt and CHANGES for more information.

Version 0.7. Copyright (c) Gek S. Low. 1 Mar 2009

Send your comments & suggestions to geksiong@yahoo.com
"""

import getopt

from LeMMA.app import *
from LeMMA.settings import *
import logging
import os


def main():
	loglevel = logging.ERROR

	# Look for any command-line options
	try:
		opts, args = getopt.getopt(sys.argv[1:], "", ["debug"])
	except getopt.GetoptError, err:
		# print help information and exit:
		print str(err)
		print
	for o, a in opts:
		if o in ("--debug"):
			loglevel = logging.DEBUG

	logging.basicConfig(level=loglevel, format="%(levelname)s:%(module)s:%(lineno)d:%(message)s")
	logging.debug("[main] LeMMA " + str(version) + " - debug mode activated")

	# any file to load?
	filename = ""
	if args != []:
		filename = os.path.normpath(args[0])
		if os.path.exists(filename) and not os.path.isdir(filename):
			logging.debug("Filename provided at command-line: " + filename)
		else:
			logging.debug("Invalid filename provided at command-line: " + filename)
			filename = ""

	# Main
	app = Application()
	if filename != "":
		app.currentfile = filename
		app.loadMMA(filename)
	app.mainloop()

if __name__ == "__main__":
	main()
